Package org.apache.sling.models.factory

# Class ValidationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.sling.models.factory.ValidationException

All Implemented Interfaces:
  `Serializable`

@ProviderType public class ValidationException extends RuntimeException
Thrown in case an validation could not be performed for the given model. (although it would be required through `ValidationStrategy.REQUIRED`). Depends on the actual implementation under which exact circumstances this is thrown.

See Also:
  - `ModelFactory`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ValidationException(String message)`
`ValidationException(Throwable cause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ValidationException

public ValidationException(String message)

### ValidationException

public ValidationException(Throwable cause)